local ent = ents.Derive("base")

function ent:setPos( x, y )
	self.x = x
	self.y = y
	self.fixed_y = y
	self.ang = 0
	self.falling = false
end

function ent:load( x, y )
	self:setPos( x, y )
	self.image = love.graphics.newImage("textures/spider entitie.png")
	self.birth = love.timer.getTime() + math.random( 500, 1000 )
	self.size = 5
end

function ent:update(dt)
	self.y = self.fixed_y
	self.x = self.x + (self.size*9)*dt
	
	if (self.x >= 1024) then
		ents.Destroy( self.id )
	end
	
	if self.falling then
		self.fixed_y = self.fixed_y + 50*dt
		self.ang = self.ang + math.pi*0.025*dt
		
		if self.y >= 500 then
			startBGExplosion( self.x + 512*(self.size/20), self.y + 128*(self.size/20), 1 )
			self.falling = false
			ents.Destroy( self.id )
		end
	end
end

function ent:Die()
	ents.Create( "spider entitie", -math.random(400, 450), 265, true )
end

function ent:Fall()
	self.falling = true
end

function ent:draw()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.draw( self.image, self.x, self.y, self.ang, self.size/20, self.size/20, 0, 0 )
end

return ent;